Activate the background publisher
curl --request POST \
--url https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate"
headers = {"X-Api-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending_mapping",
"generation": 2,
"next_sequence": 2,
"open_conflicts": 1,
"protocol_version": 2,
"server_url": "<string>",
"upload_url": "<string>",
"consent": {
"version": 1,
"granted_at": "2023-11-07T05:31:56Z",
"selected_source_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"upload_authorized": true,
"family_visibility_acknowledged": true,
"remote_processing_acknowledged": true
},
"account_bindings": [
{
"source_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lineage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mapping_version": 2
}
],
"max_records_per_batch": 2,
"max_bytes_per_batch": 2,
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repair_reason": "<string>",
"last_device_contact_at": "2023-11-07T05:31:56Z",
"last_accepted_at": "2023-11-07T05:31:56Z",
"last_imported_at": "2023-11-07T05:31:56Z",
"last_downstream_at": "2023-11-07T05:31:56Z",
"last_captured_at": "2023-11-07T05:31:56Z",
"accounts": [
{
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lineage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mapping_version": 2,
"name": "<string>",
"institution_name": "<string>",
"currency": "<string>",
"accountable_type": "<string>",
"subtype": "<string>",
"ledger_timezone": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"page": 2,
"per_page": 2,
"total_count": 1,
"total_pages": 1
},
"purge_requested_at": "2023-11-07T05:31:56Z",
"purge_completed_at": "2023-11-07T05:31:56Z",
"disposition": "retain"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}FinanceKit
Activate the background publisher
POST
/
api
/
v1
/
financekit
/
connections
/
{connection_id}
/
activate
Activate the background publisher
curl --request POST \
--url https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate"
headers = {"X-Api-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sure.am/api/v1/financekit/connections/{connection_id}/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending_mapping",
"generation": 2,
"next_sequence": 2,
"open_conflicts": 1,
"protocol_version": 2,
"server_url": "<string>",
"upload_url": "<string>",
"consent": {
"version": 1,
"granted_at": "2023-11-07T05:31:56Z",
"selected_source_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"upload_authorized": true,
"family_visibility_acknowledged": true,
"remote_processing_acknowledged": true
},
"account_bindings": [
{
"source_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lineage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mapping_version": 2
}
],
"max_records_per_batch": 2,
"max_bytes_per_batch": 2,
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repair_reason": "<string>",
"last_device_contact_at": "2023-11-07T05:31:56Z",
"last_accepted_at": "2023-11-07T05:31:56Z",
"last_imported_at": "2023-11-07T05:31:56Z",
"last_downstream_at": "2023-11-07T05:31:56Z",
"last_captured_at": "2023-11-07T05:31:56Z",
"accounts": [
{
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lineage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mapping_version": 2,
"name": "<string>",
"institution_name": "<string>",
"currency": "<string>",
"accountable_type": "<string>",
"subtype": "<string>",
"ledger_timezone": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"page": 2,
"per_page": 2,
"total_count": 1,
"total_pages": 1
},
"purge_requested_at": "2023-11-07T05:31:56Z",
"purge_completed_at": "2023-11-07T05:31:56Z",
"disposition": "retain"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyAuthoauth2
API key for authentication. Generate one from your account settings.
Path Parameters
Response
Publisher configuration and a newly issued restricted credential
Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Available options:
pending_mapping, active, repair_required, revoked Required range:
x >= 1Required range:
x >= 1Required range:
x >= 0Available options:
2 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 1Required range:
x >= 1Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
retain, discard Was this page helpful?